Bug 44810 - sshd hangs on first reboot for Server install
Summary: sshd hangs on first reboot for Server install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-17 22:39 UTC by Ing-Long Eric Kuo
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 09:23:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ing-Long Eric Kuo 2001-06-17 22:39:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
sshd from openssh-server-2.5.2p2-5.i386.rpm hangs on the first reboot when 
doing a server install(on an Amd5x85).  I am guessing it is having trouble 
generating the host key.  (ctrl-alt-del can still switch to run level 6 
and reboot)  Fixed by doing a rescue mode and manually start init.d/sshd 
to generate the key.  Next reboot works fine.

Note: This was a network boot install, Samba and Webserver were selected 
during the install.

How reproducible:
Always

Steps to Reproduce:
1.  Install RedHat 7.1 (bootnet.img)
2.  Use a Server install, also select Samba and Webserver
3.  After installation, reboot.	

Actual Results:  Machine will hang on sshd.

Expected Results:  sshd should generate the key and continue boot.

Additional info:

Comment 1 Pekka Savola 2001-06-20 07:17:14 UTC
Which kind of system do you have?  Key generation can take a _long_ while if 
your CPU is not fast enough; up to 15 minutes on i386's and the like, I have
heard.


Comment 2 Tomas Mraz 2005-02-03 09:23:55 UTC
This doesn't seem like real bug and reporter not responded to questions.


Note You need to log in before you can comment on or make changes to this bug.